# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Defined types

* [`ssh_keygen`](#ssh_keygen)

## Defined types

### <a name="ssh_keygen"></a>`ssh_keygen`

The ssh_keygen class.

#### Examples

##### Generate a dsa key

```puppet
ssh_keygen { 'john':
  type => 'dsa'
}
```

##### specify the bit length

```puppet
ssh_keygen { 'john':
  bits => 4096
}
```

##### Generate new host key

```puppet
ssh_keygen { 'root':
  filename => '/etc/ssh/ssh_host_rsa_key'
}
```

#### Parameters

The following parameters are available in the `ssh_keygen` defined type:

* [`user`](#-ssh_keygen--user)
* [`type`](#-ssh_keygen--type)
* [`bits`](#-ssh_keygen--bits)
* [`home`](#-ssh_keygen--home)
* [`filename`](#-ssh_keygen--filename)
* [`comment`](#-ssh_keygen--comment)
* [`options`](#-ssh_keygen--options)

##### <a name="-ssh_keygen--user"></a>`user`

Data type: `Optional[String]`

Username to create key for

Default value: `undef`

##### <a name="-ssh_keygen--type"></a>`type`

Data type: `Enum['rsa', 'dsa', 'ecdsa', 'ed25519', 'rsa1']`

Type of key to create

Default value: `'rsa'`

##### <a name="-ssh_keygen--bits"></a>`bits`

Data type: `Optional[Integer]`

Number of bits in key

Default value: `undef`

##### <a name="-ssh_keygen--home"></a>`home`

Data type: `Optional[Stdlib::Absolutepath]`

Home directory for user

Default value: `undef`

##### <a name="-ssh_keygen--filename"></a>`filename`

Data type: `Optional[Stdlib::Absolutepath]`

Key filename

Default value: `undef`

##### <a name="-ssh_keygen--comment"></a>`comment`

Data type: `Optional[String]`

Key comment

Default value: `undef`

##### <a name="-ssh_keygen--options"></a>`options`

Data type: `Optional[Array[String]]`

Additional options to pass on to ssh-keygen

Default value: `undef`

